local index = Var("GameCommand"):GetIndex();

local t = Def.ActorFrame{
	--Def.Quad{
	LoadActor("_title selector")..{
		--InitCommand=cmd(zoomto,192,28;halign,0;x,-2;faderight,1);
		InitCommand=cmd(halign,0;x,-2;glowshift;effectcolor1,BaseColor);
		GainFocusCommand=cmd(diffusealpha,0.5);
		LoseFocusCommand=cmd(diffusealpha,0);
		OffCommand=cmd(linear,0.2;diffusealpha,0);
	};
	
	LoadFont("_frutiger 24px") ..{
		Name="Choice"..index;
		Text=THEME:GetString( 'ScreenTitleMenu', Var("GameCommand"):GetText() );
		InitCommand=cmd(shadowlength,1;diffuse,color("#FFFFFF");halign,0;diffusebottomedge,color("0.95,0.95,0.95,1"));
		DisabledCommand=cmd(diffuse,0.5,0.5,0.5,1);
		OffFocusedCommand=function(self)
			self:bouncebegin(1);
			self:zoom(2);
			self:diffusealpha(0);
			MESSAGEMAN:Broadcast("TitleMenuOff",{ SelectedIndex = index });
		end;
		OffUnfocusedCommand=cmd(linear,0.2;diffusealpha,0);
	};
};

return t;